org.hibernate.search.engine.metadata.impl

## Class DocumentFieldMetadata.Builder

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.DocumentFieldMetadata.Builder

- All Implemented Interfaces:
    PartialDocumentFieldMetadata
  Enclosing class:
    DocumentFieldMetadata

      public static class DocumentFieldMetadata.Builder
      extends Object
      implements PartialDocumentFieldMetadata

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BackReference<DocumentFieldMetadata>` | `resultReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(BackReference<TypeMetadata> sourceType, BackReference<PropertyMetadata> sourceProperty, PartialPropertyMetadata partialSourceProperty, DocumentFieldPath path, Store store, Field.Index index, Field.TermVector termVector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentFieldMetadata.Builder` | `addBridgeDefinedField(BridgeDefinedField bridgeDefinedField)`
    `DocumentFieldMetadata.Builder` | `addFacetMetadata(FacetMetadata facetMetadata)`
    `DocumentFieldMetadata.Builder` | `analyzerReference(AnalyzerReference analyzerReference)`
    `DocumentFieldMetadata.Builder` | `boost(Float boost)`
    `DocumentFieldMetadata` | `build()`
    `DocumentFieldMetadata.Builder` | `fieldBridge(FieldBridge fieldBridge)`
    `String` | `getAbsoluteName()`
    `AnalyzerReference` | `getAnalyzerReference()`
    `Map<String,BridgeDefinedField>` | `getBridgeDefinedFields()`
    `Field.Index` | `getIndex()`
    `NumericFieldSettingsDescriptor.NumericEncodingType` | `getNumericEncodingType()`
    `DocumentFieldPath` | `getPath()`
    `String` | `getRelativeName()`
    `BackReference<DocumentFieldMetadata>` | `getResultReference()`
    `PartialPropertyMetadata` | `getSourceProperty()`
    `DocumentFieldMetadata.Builder` | `id()`
    `DocumentFieldMetadata.Builder` | `idInEmbedded()`
    `DocumentFieldMetadata.Builder` | `index(Field.Index index)`
    `DocumentFieldMetadata.Builder` | `indexNullAs(NullMarkerCodec nullMarkerCodec)`
    `boolean` | `isNumeric()`
    `DocumentFieldMetadata.Builder` | `numeric()`
    `DocumentFieldMetadata.Builder` | `numericEncodingType(NumericFieldSettingsDescriptor.NumericEncodingType numericEncodingType)`
    `DocumentFieldMetadata.Builder` | `precisionStep(int precisionStep)`
    `DocumentFieldMetadata.Builder` | `spatial()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resultReference

          protected final BackReference<DocumentFieldMetadata> resultReference

  - ### Constructor Detail

    - #### Builder

          public Builder(BackReference<TypeMetadata> sourceType,
                         BackReference<PropertyMetadata> sourceProperty,
                         PartialPropertyMetadata partialSourceProperty,
                         DocumentFieldPath path,
                         Store store,
                         Field.Index index,
                         Field.TermVector termVector)

  - ### Method Detail

    - #### getSourceProperty

          public PartialPropertyMetadata getSourceProperty()

      Specified by:
        `getSourceProperty` in interface `PartialDocumentFieldMetadata`

    - #### getPath

          public DocumentFieldPath getPath()

      Specified by:
        `getPath` in interface `PartialDocumentFieldMetadata`

    - #### getAbsoluteName

          public String getAbsoluteName()

    - #### getRelativeName

          public String getRelativeName()

    - #### getIndex

          public Field.Index getIndex()

      Specified by:
        `getIndex` in interface `PartialDocumentFieldMetadata`

    - #### index

          public DocumentFieldMetadata.Builder index(Field.Index index)

    - #### fieldBridge

          public DocumentFieldMetadata.Builder fieldBridge(FieldBridge fieldBridge)

    - #### boost

          public DocumentFieldMetadata.Builder boost(Float boost)

    - #### analyzerReference

          public DocumentFieldMetadata.Builder analyzerReference(AnalyzerReference analyzerReference)

    - #### getAnalyzerReference

          public AnalyzerReference getAnalyzerReference()

      Specified by:
        `getAnalyzerReference` in interface `PartialDocumentFieldMetadata`

    - #### id

          public DocumentFieldMetadata.Builder id()

    - #### idInEmbedded

          public DocumentFieldMetadata.Builder idInEmbedded()

    - #### indexNullAs

          public DocumentFieldMetadata.Builder indexNullAs(NullMarkerCodec nullMarkerCodec)

    - #### numeric

          public DocumentFieldMetadata.Builder numeric()

    - #### isNumeric

          public boolean isNumeric()

      Specified by:
        `isNumeric` in interface `PartialDocumentFieldMetadata`

    - #### spatial

          public DocumentFieldMetadata.Builder spatial()

    - #### precisionStep

          public DocumentFieldMetadata.Builder precisionStep(int precisionStep)

    - #### numericEncodingType

          public DocumentFieldMetadata.Builder numericEncodingType(NumericFieldSettingsDescriptor.NumericEncodingType numericEncodingType)

    - #### getNumericEncodingType

          public NumericFieldSettingsDescriptor.NumericEncodingType getNumericEncodingType()

      Specified by:
        `getNumericEncodingType` in interface `PartialDocumentFieldMetadata`

    - #### addFacetMetadata

          public DocumentFieldMetadata.Builder addFacetMetadata(FacetMetadata facetMetadata)

    - #### addBridgeDefinedField

          public DocumentFieldMetadata.Builder addBridgeDefinedField(BridgeDefinedField bridgeDefinedField)

    - #### getBridgeDefinedFields

          public Map<String,BridgeDefinedField> getBridgeDefinedFields()

      Specified by:
        `getBridgeDefinedFields` in interface `PartialDocumentFieldMetadata`

    - #### getResultReference

          public BackReference<DocumentFieldMetadata> getResultReference()

    - #### build

          public DocumentFieldMetadata build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved